diff -ruN debbugs-2.4.1.original/cgi/bugreport.cgi debbugs-2.4.1/cgi/bugreport.cgi
--- debbugs-2.4.1.original/cgi/bugreport.cgi	2003-05-25 19:26:24.000000000 +0300
+++ debbugs-2.4.1/cgi/bugreport.cgi	2005-04-01 21:41:51.412642656 +0300
@@ -409,8 +409,9 @@
 print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
 print "<HTML><HEAD>\n" . 
     "<TITLE>$debbugs::gProject $debbugs::gBug report logs - $short</TITLE>\n" .
+    "<link rel=\"stylesheet\" href=\"/$debbugs::gWebHostBugDir/bugs.css\" type=\"text/css\">" .
     "</HEAD>\n" .
-    '<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#800080">' .
+    '<BODY>' .
     "\n";
 print "<H1>" .  "$debbugs::gProject $debbugs::gBug report logs - <A HREF=\"mailto:$ref\@$gEmailDomain\">$short</A>" .
       "<BR>" . htmlsanit($status{subject}) . "</H1>\n";
diff -ruN debbugs-2.4.1.original/cgi/common.pl debbugs-2.4.1/cgi/common.pl
--- debbugs-2.4.1.original/cgi/common.pl	2003-06-06 05:23:25.000000000 +0300
+++ debbugs-2.4.1/cgi/common.pl	2005-04-01 21:41:51.412642656 +0300
@@ -409,7 +409,7 @@
             $result .= "<HR><H2>$debbugs::gSeverityDisplay{$severity} - $displayshowpending{$pending}</H2>\n";
             #$result .= "(A list of <a href=\"http://${debbugs::gWebDomain}/db/si/$pending$severity\">all such bugs</a> is available).\n";
             #$result .= "(A list of all such bugs used to be available).\n";
-            $result .= "<UL>\n";
+            $result .= "<UL class=\"sparse\">\n";
 	    $result .= $section{$pending . "_" . $severity}; 
 	    $result .= "</UL>\n";
             $anydone = 1 if ($pending eq "done");
diff -ruN debbugs-2.4.1.original/cgi/pkgindex.cgi debbugs-2.4.1/cgi/pkgindex.cgi
--- debbugs-2.4.1.original/cgi/pkgindex.cgi	2003-05-21 23:04:42.000000000 +0300
+++ debbugs-2.4.1/cgi/pkgindex.cgi	2005-04-01 21:41:51.412642656 +0300
@@ -145,8 +145,9 @@
 print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
 print "<HTML><HEAD>\n" . 
     "<TITLE>$debbugs::gProject$Archived $debbugs::gBug reports by $tag</TITLE>\n" .
+    "<link rel=\"stylesheet\" href=\"/$debbugs::gWebHostBugDir/bugs.css\" type=\"text/css\">" .
     "</HEAD>\n" .
-    '<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#800080">' .
+    '<BODY>' .
     "\n";
 print "<H1>" . "$debbugs::gProject$Archived $debbugs::gBug report logs by $tag" .
       "</H1>\n";
diff -ruN debbugs-2.4.1.original/cgi/pkgreport.cgi debbugs-2.4.1/cgi/pkgreport.cgi
--- debbugs-2.4.1.original/cgi/pkgreport.cgi	2003-05-23 19:43:17.000000000 +0300
+++ debbugs-2.4.1/cgi/pkgreport.cgi	2005-04-01 21:41:51.412642656 +0300
@@ -198,8 +198,9 @@
 print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
 print "<HTML><HEAD>\n" . 
     "<TITLE>$debbugs::gProject$Archived $debbugs::gBug report logs: $title</TITLE>\n" .
+    "<link rel=\"stylesheet\" href=\"/$debbugs::gWebHostBugDir/bugs.css\" type=\"text/css\">" .
     "</HEAD>\n" .
-    '<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#800080">' .
+    '<BODY>' .
     "\n";
 print "<H1>" . "$debbugs::gProject$Archived $debbugs::gBug report logs: $title" .
       "</H1>\n";
diff -ruN debbugs-2.4.1.original/debian/changelog debbugs-2.4.1/debian/changelog
--- debbugs-2.4.1.original/debian/changelog	2003-06-06 11:28:51.000000000 +0300
+++ debbugs-2.4.1/debian/changelog	2005-04-01 21:41:51.414642352 +0300
@@ -1,3 +1,12 @@
+debbugs (2.4.1.0.liw.1) unstable; urgency=low
+
+  * Some changes to make HTML output prettier.
+    - All CGIs and HTML templates now include bugs.css (link in head)
+      and avoid setting colors directly in the HTML code
+    - wrote bugs.css
+
+ -- Lars Wirzenius <liw@iki.fi>  Fri,  1 Apr 2005 19:55:00 +0300
+
 debbugs (2.4.1) unstable; urgency=low
 
   * Colin Watson:
diff -ruN debbugs-2.4.1.original/html/Access.html.in debbugs-2.4.1/html/Access.html.in
--- debbugs-2.4.1.original/html/Access.html.in	2000-10-08 18:11:45.000000000 +0300
+++ debbugs-2.4.1/html/Access.html.in	2005-04-01 21:41:51.414642352 +0300
@@ -4,6 +4,9 @@
 <head>
   <title>$gProject $gBugs - Accessing the logs</title>
   <link rev="made" href="mailto:$gMaintainerEmail">
+  <link rel="stylesheet" 
+        href="/$gWebHostBugDir/bugs.css" 
+        type="text/css">
 </head>
 <body>
 
diff -ruN debbugs-2.4.1.original/html/bugs.css debbugs-2.4.1/html/bugs.css
--- debbugs-2.4.1.original/html/bugs.css	1970-01-01 02:00:00.000000000 +0200
+++ debbugs-2.4.1/html/bugs.css	2005-04-01 21:42:03.772763632 +0300
@@ -0,0 +1,59 @@
+html {
+    color: #000000; 
+    background: #ffffff;
+    font-family: serif;
+    margin: 2em 1em 0 2em;
+    border: 0 0 0 0;
+    padding: 0 0 0 0;
+    line-height: 150%;
+}
+
+body {
+    margin: 0 0 0 0;
+    border: 0 0 0 0;
+    padding: 0 0 0 0;
+}
+
+h1, h2, h3 {
+    text-align: left; 
+    font-family: sans-serif;
+}
+
+h1 {
+    font-size: 150%;
+}
+
+h2 {
+    font-size: 130%;
+}
+
+h3 {
+    font-size: 100%;
+}
+
+a:link {
+    color:#0000ff;
+}
+
+a:visited {
+    color:#0000aa;
+}
+
+a:link:active, a:link:visited {
+    color:#ff0000;
+}
+
+a:link:hover, a:visited:hover {
+    background: #dddddd;
+}
+
+.sparse li {
+    padding-top: 1ex;
+    margin-top: 1ex;
+    border-top: 1ex;
+}
+
+a.bugtitle {
+    font-weight: bold;
+    font-size: 110%;
+}
diff -ruN debbugs-2.4.1.original/html/Developer.html.in debbugs-2.4.1/html/Developer.html.in
--- debbugs-2.4.1.original/html/Developer.html.in	2003-05-16 10:36:04.000000000 +0300
+++ debbugs-2.4.1/html/Developer.html.in	2005-04-01 21:41:51.415642200 +0300
@@ -4,6 +4,9 @@
 <head>
   <title>$gProject - Developers' information</title>
   <link rev="made" href="mailto:$gMaintainerEmail">
+  <link rel="stylesheet" 
+        href="/$gWebHostBugDir/bugs.css" 
+        type="text/css">
 </head>
 <body>
 
diff -ruN debbugs-2.4.1.original/html/index.html.in debbugs-2.4.1/html/index.html.in
--- debbugs-2.4.1.original/html/index.html.in	2003-06-05 11:26:59.000000000 +0300
+++ debbugs-2.4.1/html/index.html.in	2005-04-01 21:41:51.415642200 +0300
@@ -4,6 +4,9 @@
 <head>
   <title>$gProject $gBug tracking system</title>
   <link rev="made" href="mailto:$gMaintainerEmail">
+  <link rel="stylesheet" 
+        href="/$gWebHostBugDir/bugs.css" 
+        type="text/css">
 </head>
 <body>
 
diff -ruN debbugs-2.4.1.original/html/Reporting.html.in debbugs-2.4.1/html/Reporting.html.in
--- debbugs-2.4.1.original/html/Reporting.html.in	2003-05-16 10:36:05.000000000 +0300
+++ debbugs-2.4.1/html/Reporting.html.in	2005-04-01 21:41:51.415642200 +0300
@@ -4,6 +4,9 @@
 <head>
   <title>$gProject $gBugs - how to report a $gBug</title>
   <link rev="made" href="mailto:$gMaintainerEmail">
+  <link rel="stylesheet" 
+        href="/$gWebHostBugDir/bugs.css" 
+        type="text/css">
 </head>
 <body>
 
diff -ruN debbugs-2.4.1.original/html/server-control.html.in debbugs-2.4.1/html/server-control.html.in
--- debbugs-2.4.1.original/html/server-control.html.in	2003-05-31 14:39:09.000000000 +0300
+++ debbugs-2.4.1/html/server-control.html.in	2005-04-01 21:41:51.415642200 +0300
@@ -4,6 +4,9 @@
 <head>
   <title>$gProject $gBug system - control mail server commands</title>
   <link rev="made" href="mailto:$gMaintainerEmail">
+  <link rel="stylesheet" 
+        href="/$gWebHostBugDir/bugs.css" 
+        type="text/css">
 </head>
 <body>
 
diff -ruN debbugs-2.4.1.original/html/server-refcard.html.in debbugs-2.4.1/html/server-refcard.html.in
--- debbugs-2.4.1.original/html/server-refcard.html.in	2003-03-05 15:53:04.000000000 +0200
+++ debbugs-2.4.1/html/server-refcard.html.in	2005-04-01 21:41:51.418641744 +0300
@@ -4,6 +4,9 @@
 <head>
   <title>$gProject $gBug system - mail servers' reference card</title>
   <link rev="made" href="mailto:$gMaintainerEmail">
+  <link rel="stylesheet" 
+        href="/$gWebHostBugDir/bugs.css" 
+        type="text/css">
 </head>
 <body>
 
diff -ruN debbugs-2.4.1.original/html/server-request.html.in debbugs-2.4.1/html/server-request.html.in
--- debbugs-2.4.1.original/html/server-request.html.in	2003-03-10 02:45:37.000000000 +0200
+++ debbugs-2.4.1/html/server-request.html.in	2005-04-01 21:41:51.418641744 +0300
@@ -4,6 +4,9 @@
 <head>
   <title>$gProject $gBug system - $gBug logs by mail server</title>
   <link rev="made" href="mailto:$gMaintainerEmail">
+  <link rel="stylesheet" 
+        href="/$gWebHostBugDir/bugs.css" 
+        type="text/css">
 </head>
 <body>
 
diff -ruN debbugs-2.4.1.original/Makefile debbugs-2.4.1/Makefile
--- debbugs-2.4.1.original/Makefile	2002-11-25 14:25:05.000000000 +0200
+++ debbugs-2.4.1/Makefile	2005-04-01 21:41:51.418641744 +0300
@@ -46,6 +46,7 @@
 	# install the HTML pages etc
 	$(foreach html, $(htmls_in), $(install_data) $(html) $(etc_dir)/html;)
 	$(install_data) html/htaccess $(var_dir)/www/db/.htaccess
+	$(install_data) html/bugs.css $(var_dir)/www/bugs.css
 
 	# install the CGIs
 	for cgi in $(cgis); do $(install_exec) $$cgi $(var_dir)/www/cgi; done
